Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1252 (closed defect: fixed)

Opened 13 years ago

Last modified 12 years ago

software lockup/ kernel oops on recent svn revicions

Reported by: strasak@bubakov.net Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

various revisions of madwifi trunk - till now, did search on about 20 revisions, problem is on not manifested on revisions before 2210 and is manifested on revisions after 2235. I am still searching for revision which caused this, anyway, more ppl told me on IRC that they have crashes like this, so i am creating this ticket.

Problem could be seen on 3 machines, not been able to reproduce it on 4th one, machines are equiped with various HW, from SW point of view all are running Slackware 10.2 with lost of custom modifications, the key part is heavilly patched linux kernel 2.6.20.6 and various madwifi revisions as i have said above. There are several atheros cards in these machines, the one where crash could not be reproduced is VIA based 6PCI mobo with 9 atheros and 2 prism cards equiped, the ones where crash has been presented is VIA based mobo with 3 PCI slots equiped with 9 atheros cards - mixed CM9 and CM10 and RB52 same atheros mixture as first box, another box which crashed in serverworks based old machine with P3 600 and 2 atheros and 3 prism cards, the 3th which crashed is via based mobo with 3 PCI slots equiped with 1 atheros and 2 prism cards.

trace follows , i will update ticket when i will find something new
interesting point is, that on some boxes - there is no crash/oops message at all, machines simply lock - that is case of that VIA based machine with 1 atheros card and that serverworks based one

BUG: unable to handle kernel NULL pointer dereference at virtual address 00000004
 printing eip:
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: wlan_scan_ap wlan_scan_sta snd_pcm_oss snd_mixer_oss nfsd exportfs ipv6 ohci_hcd rtc amd64_agp agpgart shpchp pci_hotplug uhci_hcd ehci_hcd usbcore i2c_viapro snd_via82xx snd_ac97_codec ac97_bus snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd via_rhine k8temp ath_rate_sample ath_pci ath_hal(P) wlan_acl wlan eeprom w83781d hwmon_vid i2c_isa i2c_amd756 i2c_core ide_scsi
CPU:    0
EIP:    0060:[<c02e9d74>]    Tainted: P      VLI
EFLAGS: 00010246   (2.6.20.6-ng-ring3-s2s-sqsh-l7-swan-imq-esfq-dnd #5)
EIP is at skb_copy_datagram_iovec+0x64/0x1f0
eax: f7d04414   ebx: 00000000   ecx: f7d04414   edx: 00000000
esi: 00000000   edi: 00000000   ebp: 00000000   esp: f2d37d58
ds: 007b   es: 007b   ss: 0068
Process iptraf (pid: 7889, ti=f2d36000 task=f635d550 task.ti=f2d36000)
Stack: 6d6d6f63 695f6e6f 7265746e 74707572 3278302b 78302f33 00000246 00000000 
       f2d37eb4 f7d04414 f7d04414 f2d37f44 f2f85800 f7d04444 c0352b00 00000000 
       f8b67340 00000000 f2889800 46196466 00095368 ffffffea c03867a0 00000000 
Call Trace:
 [<c0352b00>] packet_recvmsg+0x90/0x170
 [<c02e285f>] sock_recvmsg+0xcf/0x100
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c02309cb>] copy_to_user+0x2b/0x50
 [<c02e392c>] sys_recvfrom+0xbc/0x120
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c02ed739>] dev_ifname+0x29/0x70
 [<c02ee3c8>] dev_ioctl+0x218/0x240
 [<f8aef2c0>] ath_ff_neverflushtestdone+0x0/0x10 [ath_pci]
 [<c02e4086>] sys_socketcall+0x1b6/0x250
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
Code: 24 20 e8 d0 f9 ff ff 85 c0 0f 85 38 01 00 00 29 de 0f 84 40 01 00 00 01 dd 8b 4c 24 24 8b 91 b0 00 00 00 c7 44 24 1c 00 00 00 00 <66> 83 7a 04 00 0f 84 9a 00 00 00 90 8d 04 2e 39 c7 0f 8f 42 01 
EIP: [<c02e9d74>] skb_copy_datagram_iovec+0x64/0x1f0 SS:ESP 0068:f2d37d58
 <1>BUG: unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
c02e8a50
*pde = 00000000
Oops: 0000 [#2]
Modules linked in: wlan_scan_ap wlan_scan_sta snd_pcm_oss snd_mixer_oss nfsd exportfs ipv6 ohci_hcd rtc amd64_agp agpgart shpchp pci_hotplug uhci_hcd ehci_hcd usbcore i2c_viapro snd_via82xx snd_ac97_codec ac97_bus snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd via_rhine k8temp ath_rate_sample ath_pci ath_hal(P) wlan_acl wlan eeprom w83781d hwmon_vid i2c_isa i2c_amd756 i2c_core ide_scsi
CPU:    0
EIP:    0060:[<c02e8a50>]    Tainted: P      VLI
EFLAGS: 00010013   (2.6.20.6-ng-ring3-s2s-sqsh-l7-swan-imq-esfq-dnd #5)
EIP is at skb_dequeue+0x10/0x30
eax: 00000000   ebx: 00000000   ecx: 00000246   edx: f7d04414
esi: f7d04414   edi: 00000000   ebp: f291bd3c   esp: f291bd08
ds: 007b   es: 007b   ss: 0068
Process ping (pid: 7888, ti=f291a000 task=f63dca70 task.ti=f291a000)
Stack: f7d043c0 c02e9c77 00000000 00000000 f291bf04 f291be84 f7d043c0 c032ad7a 
       f291bd3c f291bd34 00000000 00000000 00000000 ffffffa1 00000000 c0443f20 
       f291bf04 f291bdc0 c02e60de 00000600 00000000 00000000 f291bd64 00000010 
Call Trace:
 [<c02e9c77>] skb_recv_datagram+0xa7/0xc0
 [<c032ad7a>] raw_recvmsg+0x5a/0x1b0
 [<c02e60de>] sock_common_recvmsg+0x3e/0x60
 [<c02e285f>] sock_recvmsg+0xcf/0x100
 [<c02ecd65>] dev_queue_xmit+0x185/0x260
 [<c032ebd0>] arp_send+0x60/0x70
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c02e3e1b>] sys_recvmsg+0x11b/0x1d0
 [<c032f25c>] arp_rcv+0xac/0x120
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02e411b>] sys_socketcall+0x24b/0x250
 [<c011d1c6>] sys_gettimeofday+0x26/0x60
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
Code: 8b b5 a8 00 00 00 29 f3 8b 55 60 8b 45 64 e9 63 ff ff ff 90 8d b4 26 00 00 00 00 53 89 c2 9c 59 fa 8b 00 31 db 39 d0 74 19 89 c3 <8b> 00 89 02 ff 4a 08 89 50 04 c7 03 00 00 00 00 c7 43 04 00 00 
EIP: [<c02e8a50>] skb_dequeue+0x10/0x30 SS:ESP 0068:f291bd08
 <1>BUG: unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
c033409a
*pde = 00000000
Oops: 0000 [#3]
Modules linked in: wlan_scan_ap wlan_scan_sta snd_pcm_oss snd_mixer_oss nfsd exportfs ipv6 ohci_hcd rtc amd64_agp agpgart shpchp pci_hotplug uhci_hcd ehci_hcd usbcore i2c_viapro snd_via82xx snd_ac97_codec ac97_bus snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd via_rhine k8temp ath_rate_sample ath_pci ath_hal(P) wlan_acl wlan eeprom w83781d hwmon_vid i2c_isa i2c_amd756 i2c_core ide_scsi
CPU:    0
EIP:    0060:[<c033409a>]    Tainted: P      VLI
EFLAGS: 00010213   (2.6.20.6-ng-ring3-s2s-sqsh-l7-swan-imq-esfq-dnd #5)
EIP is at inet_sock_destruct+0x1a/0x1f0
eax: 00000000   ebx: f7d04414   ecx: f7d043c8   edx: 00000000
esi: f7d043c0   edi: f2f85b24   ebp: f2a5ce28   esp: f291bb5c
ds: 007b   es: 007b   ss: 0068
Process ping (pid: 7888, ti=f291a000 task=f63dca70 task.ti=f291a000)
Stack: 00000000 f63d7c80 f33a6278 00000000 f7d043c0 00000000 c02e52b4 f2f85b00 
       f2f85b24 f7d043c0 f7d043c0 f2f85b00 c033464e 00000000 f2f85b00 c02e2656 
       00000008 f2f85b24 00000008 c02e2e6c c02e2e50 f29c6800 c0156796 00000000 
Call Trace:
 [<c02e52b4>] sk_free+0xc4/0xd0
 [<c033464e>] inet_release+0x3e/0x50
 [<c02e2656>] sock_release+0x56/0x70
 [<c02e2e6c>] sock_close+0x1c/0x40
 [<c02e2e50>] sock_close+0x0/0x40
 [<c0156796>] __fput+0x176/0x1a0
 [<c0154dd8>] filp_close+0x38/0x60
 [<c011aecb>] close_files+0x6b/0x80
 [<c011af07>] put_files_struct+0x17/0x40
 [<c011b812>] do_exit+0x112/0x3a0
 [<c0119b77>] printk+0x17/0x20
 [<c0104856>] die+0x1d6/0x1e0
 [<c0114671>] do_page_fault+0x2b1/0x5d0
 [<c02e9b62>] wait_for_packet+0xc2/0x130
 [<c01143c0>] do_page_fault+0x0/0x5d0
 [<c03690c4>] error_code+0x74/0x80
 [<c02e8a50>] skb_dequeue+0x10/0x30
 [<c02e9c77>] skb_recv_datagram+0xa7/0xc0
 [<c032ad7a>] raw_recvmsg+0x5a/0x1b0
 [<c02e60de>] sock_common_recvmsg+0x3e/0x60
 [<c02e285f>] sock_recvmsg+0xcf/0x100
 [<c02ecd65>] dev_queue_xmit+0x185/0x260
 [<c032ebd0>] arp_send+0x60/0x70
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c02e3e1b>] sys_recvmsg+0x11b/0x1d0
 [<c032f25c>] arp_rcv+0xac/0x120
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02e411b>] sys_socketcall+0x24b/0x250
 [<c011d1c6>] sys_gettimeofday+0x26/0x60
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
Code: e1 ff 90 90 90 90 90 90 90 90 90 90 90 90 90 90 90 56 53 83 ec 10 89 c6 8d 58 54 8d b6 00 00 00 00 8b 03 31 d2 39 d8 74 19 89 c2 <8b> 00 89 03 ff 4b 08 89 58 04 c7 02 00 00 00 00 c7 42 04 00 00 
EIP: [<c033409a>] inet_sock_destruct+0x1a/0x1f0 SS:ESP 0068:f291bb5c
 <1>Fixing recursive fault but reboot is needed!
BUG: unable to handle kernel NULL pointer dereference at virtual address 00000004
 printing eip:
c02e8a57
*pde = 00000000
Oops: 0002 [#4]
Modules linked in: wlan_scan_ap wlan_scan_sta snd_pcm_oss snd_mixer_oss nfsd exportfs ipv6 ohci_hcd rtc amd64_agp agpgart shpchp pci_hotplug uhci_hcd ehci_hcd usbcore i2c_viapro snd_via82xx snd_ac97_codec ac97_bus snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd via_rhine k8temp ath_rate_sample ath_pci ath_hal(P) wlan_acl wlan eeprom w83781d hwmon_vid i2c_isa i2c_amd756 i2c_core ide_scsi
CPU:    0
EIP:    0060:[<c02e8a57>]    Tainted: P      VLI
EFLAGS: 00010002   (2.6.20.6-ng-ring3-s2s-sqsh-l7-swan-imq-esfq-dnd #5)
EIP is at skb_dequeue+0x17/0x30
eax: 00000000   ebx: f2fb2b40   ecx: 00000286   edx: f2889854
esi: f2f85800   edi: f2f85824   ebp: f28e0304   esp: f2d37bac
ds: 007b   es: 007b   ss: 0068
Process iptraf (pid: 7889, ti=f2d36000 task=f635d550 task.ti=f2d36000)
Stack: f2889854 c02e8ac7 f2889800 c03526c7 bf9d4000 00000282 bf9d4000 f7f76ad8 
       c02e5f89 00000000 00000000 c02e2f0c 00000000 f2f85800 f2f85824 c02e2656 
       00000008 f2f85824 00000008 c02e2e6c c02e2e50 f4d28240 c0156796 00000000 
Call Trace:
 [<c02e8ac7>] skb_queue_purge+0x17/0x30
 [<c03526c7>] packet_release+0x97/0x140
 [<c02e5f89>] release_sock+0x9/0x60
 [<c02e2f0c>] sock_fasync+0x7c/0x110
 [<c02e2656>] sock_release+0x56/0x70
 [<c02e2e6c>] sock_close+0x1c/0x40
 [<c02e2e50>] sock_close+0x0/0x40
 [<c0156796>] __fput+0x176/0x1a0
 [<c0154dd8>] filp_close+0x38/0x60
 [<c011aecb>] close_files+0x6b/0x80
 [<c011af07>] put_files_struct+0x17/0x40
 [<c011b812>] do_exit+0x112/0x3a0
 [<c0104856>] die+0x1d6/0x1e0
 [<c0114671>] do_page_fault+0x2b1/0x5d0
 [<c01143c0>] do_page_fault+0x0/0x5d0
 [<c03690c4>] error_code+0x74/0x80
 [<c02e9d74>] skb_copy_datagram_iovec+0x64/0x1f0
 [<c0352b00>] packet_recvmsg+0x90/0x170
 [<c02e285f>] sock_recvmsg+0xcf/0x100
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c02309cb>] copy_to_user+0x2b/0x50
 [<c02e392c>] sys_recvfrom+0xbc/0x120
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c02ed739>] dev_ifname+0x29/0x70
 [<c02ee3c8>] dev_ioctl+0x218/0x240
 [<f8aef2c0>] ath_ff_neverflushtestdone+0x0/0x10 [ath_pci]
 [<c02e4086>] sys_socketcall+0x1b6/0x250
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
Code: f3 8b 55 60 8b 45 64 e9 63 ff ff ff 90 8d b4 26 00 00 00 00 53 89 c2 9c 59 fa 8b 00 31 db 39 d0 74 19 89 c3 8b 00 89 02 ff 4a 08 <89> 50 04 c7 03 00 00 00 00 c7 43 04 00 00 00 00 51 9d 89 d8 5b 
EIP: [<c02e8a57>] skb_dequeue+0x17/0x30 SS:ESP 0068:f2d37bac
 <1>Fixing recursive fault but reboot is needed!
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0367cbe>] schedule+0x2fe/0x5d0
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01169f6>] __cond_resched+0x16/0x40
 [<c03684aa>] cond_resched+0x2a/0x40
 [<c014476c>] copy_pte_range+0xdc/0x1e0
 [<c014490e>] copy_page_range+0x9e/0xd0
 [<c0117517>] dup_mm+0x207/0x300
 [<c01176a7>] copy_mm+0x97/0xb0
 [<c0117eb9>] copy_process+0x3b9/0xbc0
 [<c0118727>] do_fork+0x67/0x1b0
 [<c02309cb>] copy_to_user+0x2b/0x50
 [<c0101c46>] sys_clone+0x36/0x40
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01ab93d>] search_by_key+0x3dd/0xd30
 [<c01ab83d>] search_by_key+0x2dd/0xd30
 [<c02e5cc6>] sock_def_readable+0x66/0x70
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c036863c>] schedule_timeout+0x8c/0x90
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c01a332a>] reiserfs_dirty_inode+0x5a/0x70
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c01b3c09>] journal_begin+0x69/0x100
 [<c019b6d8>] reiserfs_commit_write+0x138/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<f8ad1a47>] update_stats+0xa7/0x400 [ath_rate_sample]
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<f8af33c4>] ath_tx_capture+0x114/0x270 [ath_pci]
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d1c6>] sys_gettimeofday+0x26/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d1c6>] sys_gettimeofday+0x26/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
ath7: no IPv6 routers present
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
ath5: no IPv6 routers present
ath1: no IPv6 routers present
ath3: no IPv6 routers present
ath8: no IPv6 routers present
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
ath0: no IPv6 routers present
ath2: no IPv6 routers present
ath6: no IPv6 routers present
ath4: no IPv6 routers present
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d1c6>] sys_gettimeofday+0x26/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d1c6>] sys_gettimeofday+0x26/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0102f10>] system_call+0x0/0x32
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8af67cd>] ath_tx_processq+0x2fd/0x6b0 [ath_pci]
 [<f8b4ff08>] zz002daf00+0x90/0x220 [ath_hal]
 [<f8af6fae>] ath_tx_tasklet+0xee/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
skb_over_panic: text:f8af3bb9 len:2932 put:1468 head:f2fd6800 data:f2fd683c tail:f2fd73b0 end:f2fd6e80 dev:wifi1
------------[ cut here ]------------
kernel BUG at net/core/skbuff.c:94!
invalid opcode: 0000 [#5]
Modules linked in: wlan_scan_ap wlan_scan_sta snd_pcm_oss snd_mixer_oss nfsd exportfs ipv6 ohci_hcd rtc amd64_agp agpgart shpchp pci_hotplug uhci_hcd ehci_hcd usbcore i2c_viapro snd_via82xx snd_ac97_codec ac97_bus snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd via_rhine k8temp ath_rate_sample ath_pci ath_hal(P) wlan_acl wlan eeprom w83781d hwmon_vid i2c_isa i2c_amd756 i2c_core ide_scsi
CPU:    0
EIP:    0060:[<c02e6b09>]    Tainted: P      VLI
EFLAGS: 00010292   (2.6.20.6-ng-ring3-s2s-sqsh-l7-swan-imq-esfq-dnd #5)
EIP is at skb_over_panic+0x59/0x70
eax: 00000074   ebx: f29adb40   ecx: 00000000   edx: c042408c
esi: 000005bc   edi: f635b330   ebp: f29adb40   esp: c0457f14
ds: 007b   es: 007b   ss: 0068
Process swapper (pid: 0, ti=c0456000 task=c041fba0 task.ti=c0456000)
Stack: c03fe960 f8af3bb9 00000b74 000005bc f2fd6800 f2fd683c f2fd73b0 f2fd6e80 
       f6280000 f6386280 f8af3bbe f6280280 f8af6f60 f7160000 c0457f54 f6388000 
       f71b7330 f6386000 00000000 c049fec8 0000000a 004dc007 c011db88 00000001 
Call Trace:
 [<f8af3bb9>] ath_rx_tasklet+0x489/0x590 [ath_pci]
 [<f8af3bbe>] ath_rx_tasklet+0x48e/0x590 [ath_pci]
 [<f8af6f60>] ath_tx_tasklet+0xa0/0x100 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0

Attachments

tmp.diff (6.3 kB) - added by mentor on 04/09/07 16:50:13.
Patch to change fast frame buffer handling
tmp.2.diff (30.8 kB) - added by mentor on 04/09/07 17:03:12.
Patch (reversed) changing integer types
tmp.3.diff (0.8 kB) - added by mentor on 04/09/07 18:28:24.
Fix against head

Change History

04/08/07 21:11:20 changed by strasak@bubakov.net

another trace , this time from revision 2230

Welcome to Linux 2.6.20.6-ng-ring3-s2s-sqsh-l7-swan-imq-esfq-dnd (ttyS0)

Dhanab_ad_Dulfin login: BUG: unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: ath_pci wlan_acl wlan_scan_ap wlan_scan_sta snd_pcm_oss snd_mixer_oss nfsd exportfs ipv6 ohci_hcd rtc amd64_agp agpgart shpchp pci_hotplug uhci_hcd ehci_hcd usbcore i2c_viapro snd_via82xx snd_ac97_codec ac97_bus snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd via_rhine k8temp ath_rate_sample ath_hal(P) wlan eeprom w83781d hwmon_vid i2c_isa i2c_amd756 i2c_core ide_scsi
CPU:    0
EIP:    0060:[<00000000>]    Tainted: P      VLI
EFLAGS: 00010282   (2.6.20.6-ng-ring3-s2s-sqsh-l7-swan-imq-esfq-dnd #5)
EIP is at _stext+0x3feffcc0/0x20
eax: 000005b8   ebx: 00000000   ecx: c17e2340   edx: c1639a20
esi: f23de000   edi: 00000000   ebp: 00000000   esp: ed5b1f78
ds: 007b   es: 007b   ss: 0068
Process iptraf (pid: 9005, ti=ed5b0000 task=f7ffa030 task.ti=ed5b0000)
Stack: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000 
       00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000 
       00000000 bf989fa0 00042da3 b7f2917c bf98a080 bf98a098 00000066 0000007b 
Call Trace:
 =======================
Code:  Bad EIP value.
EIP: [<00000000>] _stext+0x3feffcc0/0x20 SS:ESP 0068:ed5b1f78
 <3>KERNEL: assertion (!atomic_read(&sk->sk_rmem_alloc)) failed at net/packet/af_packet.c (240)
BUG: unable to handle kernel NULL pointer dereference at virtual address 00000004
 printing eip:
c02e8a57
*pde = 00000000
Oops: 0002 [#2]
Modules linked in: ath_pci wlan_acl wlan_scan_ap wlan_scan_sta snd_pcm_oss snd_mixer_oss nfsd exportfs ipv6 ohci_hcd rtc amd64_agp agpgart shpchp pci_hotplug uhci_hcd ehci_hcd usbcore i2c_viapro snd_via82xx snd_ac97_codec ac97_bus snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd via_rhine k8temp ath_rate_sample ath_hal(P) wlan eeprom w83781d hwmon_vid i2c_isa i2c_amd756 i2c_core ide_scsi
CPU:    0
EIP:    0060:[<c02e8a57>]    Tainted: P      VLI
EFLAGS: 00010047   (2.6.20.6-ng-ring3-s2s-sqsh-l7-swan-imq-esfq-dnd #5)
EIP is at skb_dequeue+0x17/0x30
eax: 00000000   ebx: f1519180   ecx: 00000246   edx: f7d04794
esi: f7d04794   edi: 00000000   ebp: ed6f7d3c   esp: ed6f7d08
ds: 007b   es: 007b   ss: 0068
Process ping (pid: 9001, ti=ed6f6000 task=f1d44a70 task.ti=ed6f6000)
Stack: f7d04740 c02e9c77 00000003 00000000 ed6f7f04 ed6f7e84 f7d04740 c032ad7a 
       ed6f7d3c ed6f7d34 00000000 00000000 00000000 ffffffa1 00000000 c0443f20 
       ed6f7f04 ed6f7dc0 c02e60de 00000600 00000000 00000000 ed6f7d64 00000010 
Call Trace:
 [<c02e9c77>] skb_recv_datagram+0xa7/0xc0
 [<c032ad7a>] raw_recvmsg+0x5a/0x1b0
 [<c02e60de>] sock_common_recvmsg+0x3e/0x60
 [<c02e285f>] sock_recvmsg+0xcf/0x100
 [<f8ad1a47>] update_stats+0xa7/0x400 [ath_rate_sample]
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<f8ad209f>] ath_rate_tx_complete+0x2ff/0x7a0 [ath_rate_sample]
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c02e3e1b>] sys_recvmsg+0x11b/0x1d0
 [<f8af23c4>] ath_tx_capture+0x114/0x270 [ath_pci]
 [<f8aee2c0>] ath_ff_neverflushtestdone+0x0/0x10 [ath_pci]
 [<f8af5f60>] ath_tx_tasklet+0xa0/0x100 [ath_pci]
 [<c02e411b>] sys_socketcall+0x24b/0x250
 [<c011d1c6>] sys_gettimeofday+0x26/0x60
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
Code: f3 8b 55 60 8b 45 64 e9 63 ff ff ff 90 8d b4 26 00 00 00 00 53 89 c2 9c 59 fa 8b 00 31 db 39 d0 74 19 89 c3 8b 00 89 02 ff 4a 08 <89> 50 04 c7 03 00 00 00 00 c7 43 04 00 00 00 00 51 9d 89 d8 5b 
EIP: [<c02e8a57>] skb_dequeue+0x17/0x30 SS:ESP 0068:ed6f7d08
 BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<f8b0d0ae>] ieee80211_input+0xfe/0x1280 [wlan]
 [<f8aed293>] ath_intr+0x253/0x310 [ath_pci]
 [<c0137417>] handle_IRQ_event+0x27/0x60
 [<f8af2983>] ath_rx_tasklet+0x253/0x590 [ath_pci]
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011a4c7>] profile_tick+0x37/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0101030>] default_idle+0x0/0x50
 [<c0101057>] default_idle+0x27/0x50
 [<c01010e3>] cpu_idle+0x53/0x70
 [<c04587ac>] start_kernel+0x1ac/0x240
 [<c04582f0>] unknown_bootoption+0x0/0x1a0
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8b4f86f>] zz005b60b2+0x62f/0x7f4 [ath_hal]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c01ab170>] pathrelse+0x20/0x30
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01b3d02>] journal_mark_dirty+0x62/0x2a0
 [<c01997c6>] reiserfs_update_sd_size+0x126/0x1e0
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c019b6ee>] reiserfs_commit_write+0x14e/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c01a333c>] reiserfs_dirty_inode+0x6c/0x70
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0168022>] file_update_time+0x92/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8b4fdf7>] zz0b6c53a4+0x133/0x1b4 [ath_hal]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d1c6>] sys_gettimeofday+0x26/0x60
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d13f>] sys_time+0x1f/0x30
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d13f>] sys_time+0x1f/0x30
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01b3cdf>] journal_mark_dirty+0x3f/0x2a0
 [<c01997c6>] reiserfs_update_sd_size+0x126/0x1e0
 [<c01a332a>] reiserfs_dirty_inode+0x5a/0x70
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c01b3c09>] journal_begin+0x69/0x100
 [<c019b6d8>] reiserfs_commit_write+0x138/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8b4fdf7>] zz0b6c53a4+0x133/0x1b4 [ath_hal]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01abac0>] search_by_key+0x560/0xd30
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0173e0a>] bh_lru_install+0x8a/0xd0
 [<c01ab170>] pathrelse+0x20/0x30
 [<c01997cf>] reiserfs_update_sd_size+0x12f/0x1e0
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c019b6ee>] reiserfs_commit_write+0x14e/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<f8ad1a47>] update_stats+0xa7/0x400 [ath_rate_sample]
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<f8af23c4>] ath_tx_capture+0x114/0x270 [ath_pci]
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d13f>] sys_time+0x1f/0x30
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d13f>] sys_time+0x1f/0x30
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0173e51>] lookup_bh_lru+0x1/0x90
 [<c0173eec>] __find_get_block+0xc/0x40
 [<c0173f2e>] __getblk+0xe/0x30
 [<c01ab5de>] search_by_key+0x7e/0xd30
 [<c01ab170>] pathrelse+0x20/0x30
 [<c01997cf>] reiserfs_update_sd_size+0x12f/0x1e0
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c019b6ee>] reiserfs_commit_write+0x14e/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<f8ad1a47>] update_stats+0xa7/0x400 [ath_rate_sample]
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0155ff0>] sys_writev+0x20/0xa0
 [<c011d13f>] sys_time+0x1f/0x30
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0102f64>] syscall_exit+0x0/0xf
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c02ed0b1>] ing_filter+0x11/0x90
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01ab911>] search_by_key+0x3b1/0xd30
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01ab83d>] search_by_key+0x2dd/0xd30
 [<f8af5587>] ath_tx_processq+0xb7/0x6b0 [ath_pci]
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c01a332a>] reiserfs_dirty_inode+0x5a/0x70
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c01b3c09>] journal_begin+0x69/0x100
 [<c019b6d8>] reiserfs_commit_write+0x138/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<c0115f37>] __wake_up_common+0x37/0x70
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d13f>] sys_time+0x1f/0x30
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01ab612>] search_by_key+0xb2/0xd30
 [<f8af5f60>] ath_tx_tasklet+0xa0/0x100 [ath_pci]
 [<c01ab170>] pathrelse+0x20/0x30
 [<c01997cf>] reiserfs_update_sd_size+0x12f/0x1e0
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c019b6ee>] reiserfs_commit_write+0x14e/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<c0115f37>] __wake_up_common+0x37/0x70
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0183ea7>] dnotify_parent+0x17/0x50
 [<c0155793>] vfs_write+0xf3/0x180
 [<c01558d1>] sys_write+0x41/0x70
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01557ce>] vfs_write+0x12e/0x180
 [<c01558d1>] sys_write+0x41/0x70
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c019b708>] reiserfs_commit_write+0x168/0x1e0
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0139f6b>] page_waitqueue+0x3b/0x50
 [<c013a019>] unlock_page+0x19/0x30
 [<c013ba91>] generic_file_buffered_write+0x2d1/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<f8ad1a47>] update_stats+0xa7/0x400 [ath_rate_sample]
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c01997cf>] reiserfs_update_sd_size+0x12f/0x1e0
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0160efe>] do_select+0xe/0x330
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c01997cf>] reiserfs_update_sd_size+0x12f/0x1e0
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c01b3fd4>] journal_end+0x94/0xf0
 [<c019b708>] reiserfs_commit_write+0x168/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013babc>] generic_file_buffered_write+0x2fc/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<f8ad1a47>] update_stats+0xa7/0x400 [ath_rate_sample]
 [<c0161435>] core_sys_select+0x215/0x370
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155d27>] do_readv_writev+0x97/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c016163c>] sys_select+0xac/0x180
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d13f>] sys_time+0x1f/0x30
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d13f>] sys_time+0x1f/0x30
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c02307f8>] __copy_to_user_ll+0x38/0x60
 [<c02309cb>] copy_to_user+0x2b/0x50
 [<c02e974a>] memcpy_toiovec+0x2a/0x50
 [<c02e9d50>] skb_copy_datagram_iovec+0x40/0x1f0
 [<c034fb78>] unix_dgram_recvmsg+0xb8/0x210
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c02e285f>] sock_recvmsg+0xcf/0x100
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c02e392c>] sys_recvfrom+0xbc/0x120
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155d27>] do_readv_writev+0x97/0x1f0
 [<c02e39c7>] sys_recv+0x37/0x40
 [<c02e4024>] sys_socketcall+0x154/0x250
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0155700>] vfs_write+0x60/0x180
 [<c01558d1>] sys_write+0x41/0x70
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01ab98c>] search_by_key+0x42c/0xd30
 [<c01ab170>] pathrelse+0x20/0x30
 [<c01997cf>] reiserfs_update_sd_size+0x12f/0x1e0
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c019b6ee>] reiserfs_commit_write+0x14e/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01b08f1>] reiserfs_async_progress_wait+0x41/0x80
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c01997cf>] reiserfs_update_sd_size+0x12f/0x1e0
 [<c01b5438>] do_journal_end+0x8f8/0x970
 [<c01b3fd4>] journal_end+0x94/0xf0
 [<c019b708>] reiserfs_commit_write+0x168/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01ab952>] search_by_key+0x3f2/0xd30
 [<c01ab83d>] search_by_key+0x2dd/0xd30
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c01a332a>] reiserfs_dirty_inode+0x5a/0x70
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c01b3c09>] journal_begin+0x69/0x100
 [<c019b6d8>] reiserfs_commit_write+0x138/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c013b621>] remove_suid+0x1/0x20
 [<c013c00a>] __generic_file_aio_write_nolock+0x21a/0x550
 [<c02e285f>] sock_recvmsg+0xcf/0x100
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01ab845>] search_by_key+0x2e5/0xd30
 [<c01ab83d>] search_by_key+0x2dd/0xd30
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c01a332a>] reiserfs_dirty_inode+0x5a/0x70
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c01b3c09>] journal_begin+0x69/0x100
 [<c019b6d8>] reiserfs_commit_write+0x138/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d13f>] sys_time+0x1f/0x30
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c011d13f>] sys_time+0x1f/0x30
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c01ab83d>] search_by_key+0x2dd/0xd30
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0173e78>] lookup_bh_lru+0x28/0x90
 [<c0173eec>] __find_get_block+0xc/0x40
 [<c0173f2e>] __getblk+0xe/0x30
 [<c01ab5de>] search_by_key+0x7e/0xd30
 [<c01ab170>] pathrelse+0x20/0x30
 [<c01997cf>] reiserfs_update_sd_size+0x12f/0x1e0
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c019b6ee>] reiserfs_commit_write+0x14e/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<f8ad1a47>] update_stats+0xa7/0x400 [ath_rate_sample]
 [<f8ad209f>] ath_rate_tx_complete+0x2ff/0x7a0 [ath_rate_sample]
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<f8af23c4>] ath_tx_capture+0x114/0x270 [ath_pci]
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0115f90>] __wake_up+0x20/0x30
 [<c034fb49>] unix_dgram_recvmsg+0x89/0x210
 [<c0168022>] file_update_time+0x92/0xb0
 [<c02e285f>] sock_recvmsg+0xcf/0x100
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c02e392c>] sys_recvfrom+0xbc/0x120
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155d27>] do_readv_writev+0x97/0x1f0
 [<c02e39c7>] sys_recv+0x37/0x40
 [<c02e4024>] sys_socketcall+0x154/0x250
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0152eb3>] __kmalloc+0x3/0x70
 [<c02e6c03>] __alloc_skb+0x43/0x100
 [<c02e57a4>] sock_alloc_send_pskb+0xe4/0x1e0
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c02e58b6>] sock_alloc_send_skb+0x16/0x20
 [<c034f3cf>] unix_dgram_sendmsg+0x10f/0x450
 [<c02e2b2c>] do_sock_write+0x9c/0xb0
 [<c02e2ba8>] sock_aio_write+0x68/0x70
 [<c0155660>] do_sync_write+0xc0/0x100
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c0155810>] vfs_write+0x170/0x180
 [<c01558d1>] sys_write+0x41/0x70
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c01ab83d>] search_by_key+0x2dd/0xd30
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0173e7e>] lookup_bh_lru+0x2e/0x90
 [<c0173eec>] __find_get_block+0xc/0x40
 [<c0173f2e>] __getblk+0xe/0x30
 [<c01ab5de>] search_by_key+0x7e/0xd30
 [<c01ab170>] pathrelse+0x20/0x30
 [<c01997cf>] reiserfs_update_sd_size+0x12f/0x1e0
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c019b6ee>] reiserfs_commit_write+0x14e/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01ab895>] search_by_key+0x335/0xd30
 [<c01ab170>] pathrelse+0x20/0x30
 [<c01997cf>] reiserfs_update_sd_size+0x12f/0x1e0
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c019b6ee>] reiserfs_commit_write+0x14e/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c013bf4a>] __generic_file_aio_write_nolock+0x15a/0x550
 [<f8ad1a47>] update_stats+0xa7/0x400 [ath_rate_sample]
 [<f8ad209f>] ath_rate_tx_complete+0x2ff/0x7a0 [ath_rate_sample]
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<f8af23c4>] ath_tx_capture+0x114/0x270 [ath_pci]
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c012de81>] hrtimer_run_queues+0x11/0xb0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01ab86d>] search_by_key+0x30d/0xd30
 [<c01ab83d>] search_by_key+0x2dd/0xd30
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c01a332a>] reiserfs_dirty_inode+0x5a/0x70
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c01b3c09>] journal_begin+0x69/0x100
 [<c019b6d8>] reiserfs_commit_write+0x138/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0155660>] do_sync_write+0xc0/0x100
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01195c6>] do_syslog+0xe6/0x370
 [<f8aee2c0>] ath_ff_neverflushtestdone+0x0/0x10 [ath_pci]
 [<f8af5f60>] ath_tx_tasklet+0xa0/0x100 [ath_pci]
 [<c01554e3>] vfs_read+0xc3/0x180
 [<c0155861>] sys_read+0x41/0x70
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c019b4b0>] reiserfs_prepare_write+0x60/0x140
 [<c013b9a8>] generic_file_buffered_write+0x1e8/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<f8af23c4>] ath_tx_capture+0x114/0x270 [ath_pci]
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
BUG: at include/net/dst.h:154 dst_release()
 [<c02e7085>] __kfree_skb+0x125/0x130
 [<c03320af>] icmp_rcv+0x9f/0x160
 [<c030c267>] ip_local_deliver+0x137/0x260
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<f8af1e2e>] ath_alloc_skb+0x1e/0x70 [ath_pci]
 [<c02ed3dd>] netif_receive_skb+0x2ad/0x3a0
 [<c02ed547>] process_backlog+0x77/0xf0
 [<c02ed645>] net_rx_action+0x85/0x130
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01ab3ec>] is_internal+0x3c/0xb0
 [<c0175c07>] ll_rw_block+0x57/0xc0
 [<c01ab83d>] search_by_key+0x2dd/0xd30
 [<c0115f37>] __wake_up_common+0x37/0x70
 [<c01ab83d>] search_by_key+0x2dd/0xd30
 [<f8af5587>] ath_tx_processq+0xb7/0x6b0 [ath_pci]
 [<f8aee2c0>] ath_ff_neverflushtestdone+0x0/0x10 [ath_pci]
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c01a332a>] reiserfs_dirty_inode+0x5a/0x70
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c01b3c09>] journal_begin+0x69/0x100
 [<c019b6d8>] reiserfs_commit_write+0x138/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<f8ad1a47>] update_stats+0xa7/0x400 [ath_rate_sample]
 [<c012b373>] autoremove_wake_function+0x13/0x40
 [<c0115f37>] __wake_up_common+0x37/0x70
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
skb_over_panic: text:f8af2bb9 len:1613 put:149 head:effa5000 data:effa503c tail:effa5689 end:effa5680 dev:wifi8
------------[ cut here ]------------
kernel BUG at net/core/skbuff.c:94!
invalid opcode: 0000 [#3]
Modules linked in: ath_pci wlan_acl wlan_scan_ap wlan_scan_sta snd_pcm_oss snd_mixer_oss nfsd exportfs ipv6 ohci_hcd rtc amd64_agp agpgart shpchp pci_hotplug uhci_hcd ehci_hcd usbcore i2c_viapro snd_via82xx snd_ac97_codec ac97_bus snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd via_rhine k8temp ath_rate_sample ath_hal(P) wlan eeprom w83781d hwmon_vid i2c_isa i2c_amd756 i2c_core ide_scsi
CPU:    0
EIP:    0060:[<c02e6b09>]    Tainted: P      VLI
EFLAGS: 00010296   (2.6.20.6-ng-ring3-s2s-sqsh-l7-swan-imq-esfq-dnd #5)
EIP is at skb_over_panic+0x59/0x70
eax: 00000073   ebx: f1cd1440   ecx: ffffffff   edx: 00015eb5
esi: 00000095   edi: ebfa9720   ebp: f1cd1440   esp: f61ab964
ds: 007b   es: 007b   ss: 0068
Process syslogd (pid: 1107, ti=f61aa000 task=f7c39a70 task.ti=f61aa000)
Stack: c03fe960 f8af2bb9 0000064d 00000095 effa5000 effa503c effa5689 effa5680 
       ec132000 ec612280 f8af2bbe c02f0720 c0121ceb 000a2c8e f61ab9b4 f4b68000 
       f1c16f20 ec612000 ec13363c c049fec8 00000008 f7f24c00 c011db88 00000001 
Call Trace:
 [<f8af2bb9>] ath_rx_tasklet+0x489/0x590 [ath_pci]
 [<f8af2bbe>] ath_rx_tasklet+0x48e/0x590 [ath_pci]
 [<c02f0720>] dst_run_gc+0x0/0x100
 [<c0121ceb>] run_timer_softirq+0x9b/0x160
 [<c011db88>] tasklet_action+0x38/0x60
 [<c011d994>] __do_softirq+0x74/0x80
 [<c011d9d5>] do_softirq+0x35/0x40
 [<c0105906>] do_IRQ+0x46/0x90
 [<c0103ed3>] common_interrupt+0x23/0x30
 [<c01ab3ec>] is_internal+0x3c/0xb0
 [<c0175c07>] ll_rw_block+0x57/0xc0
 [<c01ab83d>] search_by_key+0x2dd/0xd30
 [<c0115f37>] __wake_up_common+0x37/0x70
 [<c01ab83d>] search_by_key+0x2dd/0xd30
 [<f8af5587>] ath_tx_processq+0xb7/0x6b0 [ath_pci]
 [<f8aee2c0>] ath_ff_neverflushtestdone+0x0/0x10 [ath_pci]
 [<c0197366>] make_cpu_key+0x46/0x50
 [<c019972d>] reiserfs_update_sd_size+0x8d/0x1e0
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c01b5152>] do_journal_end+0x612/0x970
 [<c01a332a>] reiserfs_dirty_inode+0x5a/0x70
 [<c016faa4>] __mark_inode_dirty+0x164/0x170
 [<c01b3c09>] journal_begin+0x69/0x100
 [<c019b6d8>] reiserfs_commit_write+0x138/0x1e0
 [<c013b67a>] __filemap_copy_from_user_iovec_inatomic+0x3a/0x60
 [<c013ba21>] generic_file_buffered_write+0x261/0x630
 [<c011d3f5>] current_fs_time+0x55/0x70
 [<c0167fc9>] file_update_time+0x39/0xb0
 [<c013c05e>] __generic_file_aio_write_nolock+0x26e/0x550
 [<f8ad1a47>] update_stats+0xa7/0x400 [ath_rate_sample]
 [<c012b373>] autoremove_wake_function+0x13/0x40
 [<c0115f37>] __wake_up_common+0x37/0x70
 [<c013c467>] generic_file_aio_write+0x67/0xe0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0155b07>] do_sync_readv_writev+0xc7/0x110
 [<c012b360>] autoremove_wake_function+0x0/0x40
 [<c030c5ae>] ip_rcv+0x21e/0x4a0
 [<c0230a1d>] copy_from_user+0x2d/0x70
 [<c0155c0f>] rw_copy_check_uvector+0x5f/0xe0
 [<c0155e40>] do_readv_writev+0x1b0/0x1f0
 [<c013c400>] generic_file_aio_write+0x0/0xe0
 [<c0121150>] do_gettimeofday+0x30/0x120
 [<c0155f19>] vfs_writev+0x49/0x60
 [<c0156011>] sys_writev+0x41/0xa0
 [<c0102f60>] syscall_call+0x7/0xb
 =======================
Code: 00 00 89 44 24 14 8b 83 a4 00 00 00 89 44 24 10 8b 43 60 89 54 24 0c 89 4c 24 04 89 44 24 08 c7 04 24 60 e9 3f c0 e8 57 30 e3 ff <0f> 0b 90 8d 74 26 00 eb fe 8d b4 26 00 00 00 00 8d bc 27 00 00 
EIP: [<c02e6b09>] skb_over_panic+0x59/0x70 SS:ESP 0068:f61ab964
 <0>Kernel panic - not syncing: Fatal exception in interrupt

04/09/07 10:30:08 changed by strasak@bubakov.net

after another search i have some another results :

trunk r2215 - is rock solid, no problems

trunk r2217 - and later is problematic, either when man try to destroy interface and recreate it or modprobe -r ath_pci, this : "unregister_netdevice: waiting for ath2 to become free. Usage count = 7" happens and PC is efectively locked. This is repaired later, but then

trunk r2227 - and later crashes like these above could be reproduced reliably - on 3 boxes of 4, still don't know, why one box is stable, only common thing on boxes, where crash could be reliably reproduced is, that they have onboard vgas, but i even tried one with AGP card and crash still has showed itself, so i really doubt it is of any relevance.

04/09/07 16:50:13 changed by mentor

  • attachment tmp.diff added.

Patch to change fast frame buffer handling

04/09/07 17:03:12 changed by mentor

  • attachment tmp.2.diff added.

Patch (reversed) changing integer types

04/09/07 18:28:24 changed by mentor

  • attachment tmp.3.diff added.

Fix against head

04/09/07 20:01:51 changed by strasak@bubakov.net

Thx for quick fix mentor, i think ticket could be closed
ignuss

04/09/07 22:19:48 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.

Guess I shouldn't have broken it in the first place.

04/10/07 11:15:22 changed by mrenzmann

  • milestone set to version 0.9.4.

02/11/08 06:17:09 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.